// DLPDaqApDlg.h : header file
//

#include "FTD2XX.h"


#if !defined(AFX_DLPDAQAPDLG_H__2F8CF70A_C067_459D_9433_77004E95D105__INCLUDED_)
#define AFX_DLPDAQAPDLG_H__2F8CF70A_C067_459D_9433_77004E95D105__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CDLPDaqApDlg dialog

class CDLPDaqApDlg : public CDialog
{
// Construction
public:
	CDLPDaqApDlg(CWnd* pParent = NULL);	// standard constructor
	int CDLPDaqApDlg::LoadDLL();
	void CDLPDaqApDlg::SetDataDir(unsigned char p0dirbyte, unsigned char p1dirbyte);
	void CDLPDaqApDlg::SetClearIOBit(unsigned char p0statebyte, unsigned char p1statebyte);
	void CDLPDaqApDlg::ReadIOBits(unsigned char *p0statebyte, unsigned char *p1statebyte, int register_number);



// Dialog Data
	//{{AFX_DATA(CDLPDaqApDlg)
	enum { IDD = IDD_DLPDAQAP_DIALOG };
	CString	m_SelOpen;
	CString	m_MPSSEStatus;
	CString	m_DisableMPSSE;
	float	m_DACVoltage;
	CString	m_ADCResult;
	int		m_Binno;
	float	m_DACBVoltage;
	CString	m_ADC1Result;
	CString	m_DigiPortState;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDLPDaqApDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	HMODULE m_hmodule;

	FT_HANDLE m_ftHandle;

//	typedef FT_STATUS (WINAPI *PtrToOpen)(PVOID, FT_HANDLE *); 
//	PtrToOpen m_pOpen; 
//	FT_STATUS Open();
	
	typedef FT_STATUS (WINAPI *PtrToOpen)(PVOID, FT_HANDLE *); 
	PtrToOpen m_pOpen; 
	FT_STATUS Open(PVOID);

	typedef FT_STATUS (WINAPI *PtrToOpenEx)(PVOID, DWORD, FT_HANDLE *); 
	PtrToOpenEx m_pOpenEx; 
	FT_STATUS OpenEx(PVOID, DWORD);

	typedef FT_STATUS (WINAPI *PtrToClose)(FT_HANDLE);
	PtrToClose m_pClose;
	FT_STATUS Close();

	typedef FT_STATUS (WINAPI *PtrToRead)(FT_HANDLE, LPVOID, DWORD, LPDWORD);
	PtrToRead m_pRead;
	FT_STATUS Read(LPVOID, DWORD, LPDWORD);

	typedef FT_STATUS (WINAPI *PtrToWrite)(FT_HANDLE, LPVOID, DWORD, LPDWORD);
	PtrToWrite m_pWrite;
	FT_STATUS Write(LPVOID, DWORD, LPDWORD);

	typedef FT_STATUS (WINAPI *PtrToResetDevice)(FT_HANDLE);
	PtrToResetDevice m_pResetDevice;
	FT_STATUS ResetDevice();

	typedef FT_STATUS (WINAPI *PtrToListDevices)(PVOID, PVOID, DWORD);
	PtrToListDevices m_pListDevices; 
	FT_STATUS ListDevices(PVOID, PVOID, DWORD);

	typedef FT_STATUS (WINAPI *PtrToPurge)(FT_HANDLE, ULONG);
	PtrToPurge m_pPurge;
	FT_STATUS Purge(DWORD);
	
	typedef FT_STATUS (WINAPI *PtrToSetTimeouts)(FT_HANDLE, ULONG, ULONG);
	PtrToSetTimeouts m_pSetTimeouts;
	FT_STATUS SetTimeouts(DWORD, DWORD);

	typedef FT_STATUS (WINAPI *PtrToGetQueueStatus)(FT_HANDLE, LPDWORD);
	PtrToGetQueueStatus m_pGetQueueStatus;
	FT_STATUS GetQueueStatus(LPDWORD);

	typedef FT_STATUS (WINAPI *PtrToSetBitMode)(FT_HANDLE, UCHAR, UCHAR);
	PtrToSetBitMode m_pSetBitMode;
	FT_STATUS SetBitMode(UCHAR, UCHAR);

	typedef FT_STATUS (WINAPI *PtrToSetLatencyTimer)(FT_HANDLE, UCHAR);
	PtrToSetLatencyTimer m_pSetLatencyTimer;
	FT_STATUS SetLatencyTimer(UCHAR);

	typedef FT_STATUS (WINAPI *PtrToGetLatencyTimer)(FT_HANDLE, PUCHAR);
	PtrToGetLatencyTimer m_pGetLatencyTimer;
	FT_STATUS GetLatencyTimer(PUCHAR);


	typedef FT_STATUS (WINAPI *PtrToEE_Program)(FT_HANDLE, PFT_PROGRAM_DATA);
	PtrToEE_Program m_pEE_Program;
	FT_STATUS EE_Program(PFT_PROGRAM_DATA);

	typedef FT_STATUS (WINAPI *PtrToEE_Read)(FT_HANDLE, PFT_PROGRAM_DATA);
	PtrToEE_Read m_pEE_Read;
	FT_STATUS EE_Read(PFT_PROGRAM_DATA);

	// Generated message map functions
	//{{AFX_MSG(CDLPDaqApDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonMpsseOn();
	afx_msg void OnButtonSelectDevice();
	afx_msg void OnButtonDisableMpsse();
	afx_msg void OnButtonClosek0();
	afx_msg void OnButtonOpenk0();
	afx_msg void OnButtonSetDac();
	afx_msg void OnButtonSetDacVoltage();
	afx_msg void OnButtonReadAdc();
	afx_msg void OnButtonReadAdc2();
	afx_msg void OnButtonP04out();
	afx_msg void OnButtonClosek1();
	afx_msg void OnButtonClosek2();
	afx_msg void OnButtonClosek3();
	afx_msg void OnButtonMakep04input();
	afx_msg void OnButtonP05out();
	afx_msg void OnButtonP06out();
	afx_msg void OnButtonP07out();
	afx_msg void OnButtonOpenk2();
	afx_msg void OnButtonOpenk3();
	afx_msg void OnButtonOpenk4();
	afx_msg void OnButtonMakep05input();
	afx_msg void OnButtonMakep06input();
	afx_msg void OnButtonMakep07input();
	afx_msg void OnButtonSetDac2();
	afx_msg void OnButtonSetDacbVoltage();
	afx_msg void OnButtonReadAdc1();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnChangeEditDacbVoltage();
	afx_msg void OnChangeEditDacVoltage();
	afx_msg void OnButtonDefault();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLPDAQAPDLG_H__2F8CF70A_C067_459D_9433_77004E95D105__INCLUDED_)
